<template>
  <div type="button" class="option-item" @click="handleClick">
    <span :class="iconColor" class="mr-3">
      <app-icon :icon="icon" size="sm"></app-icon>
    </span>
    <span>{{ name }}</span>
  </div>
</template>
<script lang="ts">
import { defineComponent } from "vue";
export default defineComponent({
  props: {
    id: {
      type: String,
      required: true,
    },
    name: {
      type: String,
      required: true,
    },
    icon: {
      type: String,
      required: true,
    },
    color: {
      type: String,
    },
  },
  computed: {
    iconColor() {
      const classObj = {
        "text-primary": false,
        "text-secondary": false,
        "text-success": false,
        "text-danger": false,
      };
      switch (this.color) {
        case "primary":
          classObj["text-primary"] = true;
          break;
        case "secondary":
          classObj["text-secondary"] = true;
          break;
        case "success":
          classObj["text-success"] = true;
          break;
        case "danger":
          classObj["text-danger"] = true;
          break;
        default:
        // pass
      }

      return classObj;
    },
  },
  methods: {
    handleClick() {
      this.$emit("onClick", this.id);
    },
  },
});
</script>
